--:SetVar Function "AUX:RomanNumbers"
if exists( select * from [sysobjects] (nolock) where [type] in ('FN','TF') and [name]=N'AUX:RomanNumbers' )
   drop function [AUX:RomanNumbers]
GO
/* Translated by $SQLTRANS utility (SQL-file technology). Method author: Sergei Y.Kitáev.
** Script translation date-time: 2022-11-27 00:29:27.24 (stamp of SQL-file generation). */
create function [AUX:RomanNumbers]()
returns @ResultTable table
(
   [Number]    int                     not null,
   [Display]   varchar(8)   not null
)
BEGIN
/*==================================================================================================
# SQLAUX scripting library | Author: Sergei Y.Kitáev
----------------------------------------------------------------------------------------------------
#
# ROMAN NUMBER LIST — [1...100] (TABLE FUNCTION):
#
# === Usage: ===
# select * from [AUX:RomanNumbers]()
#
==================================================================================================*/
insert @ResultTable
   select [Number], [Display]
   from [AUX::Roman_numbers] (nolock)
   order by [Number]
return
/*================================================================================================*/
END
GO
/*
select * from [AUX:RomanNumbers]()
*/
